<?php

require'../config.php';
$align='left';
$title='Анкета';
aut();
head();
who_add(0,'enter');

switch($mod) {

case smile:

if (empty($act)) {

echo 'Размер загружаемого смайла не должен привышать 25 кб. 100х100px. Форматы: gif, jpg, jpeg, png<br/>';
if ($_GET['err'] == 1) echo '<b style="color: red">Недопустимое расширение файла!</b><br />';
if ($_GET['err'] == 2) echo '<b style="color: red">Размер файла не должен превышать 25 кб.</b><br />';
if ($_GET['err'] == 3) echo '<b style="color: red">Достигнут лимит загружаемых смайлов!</b><br />';
if ($_GET['err'] == 4) echo '<b style="color: red">Неправильное расширение смайла!</b><br />';

$count = mysql_fetch_assoc(mysql_query("SELECT `lsmile`,`lsmile2`,`lsmile3` FROM `users` WHERE `id`='$id'"));
if (!empty($count['lsmile'])) {
$l = 1;
}
if (!empty($count['lsmile2'])) {
$l2 = 1;
}
if (!empty($count['lsmile3'])) {
$l3 = 1;
}

echo '<u>Личных смайлов '.($l+$l2+$l3).' из 3</u><br/>';

echo '<form ENCTYPE="multipart/form-data" action="upload?mod=smile&amp;act=act&amp;'.SID.'" method="post">';
echo '<b>Прикрепить смайл:</b><br/>';
echo '<INPUT NAME="file" TYPE="file" SIZE="20"><br/>
<input type="submit" class="ibutton"  value="Загрузить">
</form><br/>';

} else {

if (!isset($_FILES['file'])) $err = "<b>Вы не указали файл!</b><br/>";

$pictures = array('.gif', '.jpg', '.jpeg', '.png');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));

$par = getimagesize($_FILES['file']);

if (($par[0] > 100) or ($par[1] > 100)) {
header ('Location: upload?mod=smile&err=4&'.SID);
exit;
}

$fnames = $_FILES['file']['name']; //имя
if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess")) {
header ('Location: upload?mod=smile&err=1&'.SID);
exit;
}

if (!empty($user['lsmile']) && !empty($user['lsmile2']) && !empty($user['lsmile3'])) {
header ('Location: upload?mod=smile&err=3&'.SID);
exit;
}

if (!in_array($ext, $pictures)) {
header ('Location: upload?mod=smile&err=1&'.SID);
exit;
}

if ($_FILES['file']['size'] > (1024 * 25)) {
header ('Location: upload?mod=smile&err=2&'.SID);
exit;
}

if (empty($user['lsmile'])) {
$foto = "files/lsmiles/smile_".$user['id'].$ext."";
} elseif (empty($user['lsmile2'])) {
$foto = "files/lsmiles/smile2_".$user['id'].$ext."";
} elseif (empty($user['lsmile3'])) {
$foto = "files/lsmiles/smile3_".$user['id'].$ext."";
}

if (empty($user['lsmile']) || empty($user['lsmile2']) || empty($user['lsmile3'])) {
@copy($_FILES['file']['tmp_name'], H.$foto);
@chmod(H.basename($foto), 0751);
}

if (empty($user['lsmile'])) {
$db->sql_query("Update users set lsmile='".$foto."' where id ='".$user['id']."'");
} elseif (empty($user['lsmile2'])) {
$db->sql_query("Update users set lsmile2='".$foto."' where id ='".$user['id']."'");
} elseif (empty($user['lsmile3'])) {
$db->sql_query("Update users set lsmile3='".$foto."' where id ='".$user['id']."'");
}

header ('Location: profile?mod=lsmile&ok=add&'.SID);exit;
}

break;

case 'photo':

if (empty($act)){

echo 'Размер загружаемого фото не должен привышать '.$set['size_photo'].' кб. Форматы: gif, jpg, jpeg, png.<br/>';
if ($_GET['err']==1)echo '<b>Недопустимое расширение файла!</b><br />';
if ($_GET['err']==2)echo '<b>Размер файла не должен превышать '.$set['size_photo'].' кб.</b><br />';

echo '<form ENCTYPE="multipart/form-data" action="upload?mod=photo&amp;act=act&amp;'.SID.'" method="post">';
echo '<b>Прикрепить фотку:</b><br/>';
echo '<INPUT NAME="file" TYPE="file" SIZE="20"><br/>
<input type="submit" class="ibutton"  value="Отправить">
</form><br/>';

}else{

if(!isset($_FILES['file'])) $err = "<b>Вы не указали файл!</b><br/>";

$pictures = array('.gif', '.jpg', '.jpeg', '.png');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));

$fnames=$_FILES['file']['name']; //имя
if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess")){header ('Location: upload?mod='.$mod.'&err=1&'.SID);exit;}



if(!in_array($ext, $pictures)){header ('Location: upload?mod=photo&err=1&'.SID);exit;}
if($_FILES['file']['size'] > (1024 * $set['size_photo'])) {header ('Location: upload?mod=photo&err=2&'.SID);exit;}

$foto = "files/photos/photo_".$user['id'].$ext."";

unlink (H.$user['photo'].'');

@copy($_FILES['file']['tmp_name'], H.$foto);
@chmod(H.basename($foto), 0644);
@$db->sql_query ("Update users set photo='".$foto."', vote_photo='0' where id ='".$user['id']."'");
@$db->sql_query ("Delete from golos where user ='".$user['id']."'");

header ('Location: profile?mod=photo&ok=add&'.SID);exit;
}

break;

}

echo gb.'<a href="index?mod=smile">Меню смайла</a>'.div;
echo gb.'<a href="index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>